#include "prizm.h"
#include "CBP.h"

//---------------------------------------------------------------------------------------------

void Fkey_Icon(int n, int IconNo){
	unsigned int* iresult;	
	GetFKeyPtr( IconNo, &iresult);	//  .  		,white
	FKey_Display(n, iresult);
}

//---------------------------------------------------------------------------------------------
int GetFkeyColor(int n){
	return BdispGetPointVRAM( n*64+4, 213 );
}

int Fkey_Line2( int n ){
	unsigned short *VRAM=GetVRAMAddress();
//	unsigned short *VRAM=PictAry[0];
	unsigned short c=GetFkeyColor(n);
	int x;
	for(x=n*64+4;x<n*64+60;x++){
		VRAM[x+213*384]=c;
		VRAM[x+214*384]=c;
	}
}

void Fkey_Clear(int n) {
		unsigned int* iresult;	
		GetFKeyPtr(0x0, &iresult);	// 
		FKey_Display(n, iresult);
}

void Fkey_dispN(int n,char *buf) {
		unsigned int* iresult;	
		int x;
		GetFKeyPtr(0x0476, &iresult);	//  .  		,white
		FKey_Display(n, iresult);
		PrintMiniXY(n*64+6, 7*24+5, (unsigned char *)buf, GetFkeyColor(n), COLOR_WHITE);
		Fkey_Line2( n );
}

void Fkey_dispR(int n,char *buf) {
		unsigned char*keycolor = (unsigned char*) 0xFD8013E4;
		unsigned int* iresult;	
		int x;
		GetFKeyPtr(0x0334, &iresult);	//  t		,black/
		FKey_Display(n, iresult);
		PrintMiniXY(n*64+2, 7*24+4, (unsigned char *)buf, COLOR_WHITE, GetFkeyColor(n) );
		Fkey_Line2( n );
}
void Fkey_DISPN(int n,char *buf) {
		unsigned int* iresult;	
		int x;
		GetFKeyPtr(0x0476, &iresult);	//  .  		,white
		FKey_Display(n, iresult);
		PrintMiniXY(n*64+6, 7*24+5, (unsigned char *)buf, GetFkeyColor(n), COLOR_WHITE);
		Fkey_Line2( n );
}

void Fkey_DISPR(int n,char *buf) {
		unsigned char*keycolor = (unsigned char*) 0xFD8013E4;
		unsigned int* iresult;	
		int x;
		GetFKeyPtr(0x0190, &iresult);	//  t		,black
		FKey_Display(n, iresult);
		PrintMiniXY(n*64+2, 7*24+4, (unsigned char *)buf, COLOR_WHITE, GetFkeyColor(n) );
		Fkey_Line2( n );
}

void Fkey_dispNP(int n) {
		Fkey_Clear(n);
		Fkey_dispN(n,"+ inc");
}
void Fkey_dispNM(int n) {
		Fkey_Clear(n);
		Fkey_dispN(n,"- dec");
}
void Fkey_dispNInit(int n) {
		unsigned int* iresult;
		GetFKeyPtr(0x005f, &iresult);	//INITIAL 	,white
		FKey_Display(3, iresult);
}		


void FkeyClear(int n) {
	Fkey_Icon(n, 0 );	// clear
}

void Fkey_dspRB(int n,char *buffer) {
	Fkey_DISPR( n, buffer); 
}

void Fkey_dispN_Aa(int n, char *buffer) {
	Fkey_dispN(n,buffer);
	Bdisp_AreaReverseVRAMx3( n*21+3, (7+0)*8+1, n*21+7, (7+0)*8+7);	// reverse
}
void Fkey_dispN_aA(int n, char *buffer) {
	Fkey_dispN(n,buffer);
	Bdisp_AreaReverseVRAMx3( n*21+16, (7+0)*8+1, n*21+20, (7+0)*8+7);	// reverse
}
